ant-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Stefan Bodewig <bode...@apache.org>
Subject Re: [JPackage-devel] FW: jakarta ant 1.4.1/1.5 ant script
Date Mon, 29 Apr 2002 10:58:03 GMT
On 26 Apr 2002, Nicolas Mailhot <Nicolas.Mailhot@laposte.net> wrote:

> I started auditing it to find what's wrong and ended up tweaking
> most of it. So here is the result.

I wonder what caused the problems - we've had reports about stuff that
needed to be quoted and we've obviously not quoted everthing that
could be quoted (you've shown several places we forgot to touch), but
most of your other changes are either (1) replacing `` with $()
or (2) replacing

if [...] then
  command
fi

with [...] && command

While (2) is a question of style (and I prefer ours, YMMV), we cannot
perform (1) if it is bash specific (I think it is).  Do you know
whether Korn Shell supports this?

I'm totally opposed to removing the AIX hack as it would break
backwards compatibilty.  People don't need to set JAVACMD on AIX right
now.

> a sane clathpath builder (i.e. first jvm jars, then core ant jars,
> then local classpath).

I'm not sure whether we could run into difficult to track down
backwards incompatibilities if we change the order of CLASSPATH.  Why
do you think that putting tools.jar at the front is more sane than
putting it at the end?

Cheers

        Stefan

--
To unsubscribe, e-mail:   <mailto:ant-dev-unsubscribe@jakarta.apache.org>
For additional commands, e-mail: <mailto:ant-dev-help@jakarta.apache.org>


Mime
View raw message